Cyberduck Mountain Duck CLI

#434 closed defect (fixed)

No support for different timezones

Reported by: 8t6uz7d02@… Owned by: dkocher
Priority: normal Milestone: 3.2
Component: interface Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

The times in the Modified column are wrong. They are behind by 9.5 hours. Likewise in the file Info window. My time zone is Adelaide, South Australia. They are correct when shown in the details section of an upload overwrite confirmation dialog sheet.

Additionally, the Enter key no longer pushes the default glowing button in an upload overwrite confirmation dialog sheet.

I believe these were introduced in 2.6.

Change History (11)

comment:1 Changed on Jun 10, 2006 at 11:31:12 AM by dkocher

  • Status changed from new to assigned
  • Summary changed from Modified times are shown wrong to No support for different timezones

comment:2 Changed on Dec 6, 2007 at 9:17:13 PM by dkocher

See also #1386.

comment:3 Changed on Dec 6, 2007 at 9:18:49 PM by dkocher

  • Milestone set to 2.9

comment:4 Changed on Apr 21, 2008 at 10:50:29 PM by dkocher

  • Milestone changed from 3.0 to 3.1

comment:5 Changed on May 11, 2008 at 12:53:47 PM by dkocher

#1543 and #1589 closed as duplicates.

comment:6 Changed on Jul 11, 2008 at 7:45:21 PM by dkocher

  • Milestone changed from 3.0.2 to 3.1

comment:7 Changed on Oct 23, 2008 at 11:45:08 AM by dkocher

#2684 closed as duplicate.

comment:8 Changed on Apr 10, 2009 at 8:21:20 PM by dkocher

Much work has been done in r4583 to properly parse timestamps given a timezone.

comment:9 Changed on Apr 10, 2009 at 8:29:10 PM by dkocher

Timezone selection added to bookmark panel in r4586. NIB changes forthcoming.

comment:10 Changed on Apr 10, 2009 at 8:32:55 PM by dkocher

See also #1386.

comment:11 Changed on Apr 13, 2009 at 2:31:05 PM by dkocher

  • Milestone changed from 3.2 to 3.1.3
  • Resolution set to fixed
  • Status changed from assigned to closed

In r4593.

Note: See TracTickets for help on using tickets.
swiss made software